Doomsday Engine - Feature #1935

Server connection details
2014-12-31 12:17 - foufou74

Status: Closed Start date: 2014-12-31
Priority: Normal % Done: 100%
Assignee: skyjake

Category: User experience

Target version: 2.0 — Home Ul & Packages

Description

Just as the title,i'd like to see more details about the server that i want to connect to,like Engine version,IWAD version and most
important is Ping, And if the engine is trying to connect to the server after clicking on it (A Popup saying "Connecting to server ..." or
something) ,Because it's just like hiding Multiplayer menu after selecting a server that you cannot connect to ....

History

#1 - 2015-01-03 11:31 - skyjake
- Category set to User experience

- Priority changed from High to Normal

#2 - 2015-01-03 11:49 - vermil

| agree that a connection failed/attempting to connect message being displayed on the screen is something that Dday really needs (along with a
message when a connection with a server is lost); these messages are currently only logged in the console.

Though, many of the specific server details yourself lists are already there; click on the 'dot's' button to the right of a servers information, to be
presented with information about the users engine version (though, not build number, which | believe is a glaring omission considering Dday provides
unstable builds in an official capacity). Ping used to also be displayed here, but it turned out to be broken.

lwad version (or something similar) would be cool to add though, simply because the unofficial/official (i.e the generally stated requirement of all
Doom Source Ports) declaration that Dday requires the latest Iwad versions is no longer completely accurate; modern Dday officially supports HeXen
1.0 and 1.1 and doesn't officially support the Doom BFG Edition lwads, which are the latest Iwad versions for those games.

Dday has also never blocked and can actually run with Iwad versions older than the latest (most of the Iwad changes between versions are simply
map tweaks which aren't an issue to Dday, though of course would be an issue in MP with players using different Iwad versions).

As | mentioned in your other issue report regarding MP version mismatch, the old MP Gui did use to check the Cr32 of the hosts lwad and state if it
was different to yours; it would be cool for that to return in some form (albeit, perhaps in a more readable to the typical user)

#3 - 2017-02-07 11:09 - skyjake

- Tags set to Multiplayer, Ul, Home, Server, Client
- Status changed from New to Resolved

- Assignee set to skyjake

- Target version set to 2.0 — Home Ul & Packages

- % Done changed from 0 to 100

#4 - 2017-02-08 10:10 - skyjake

- Status changed from Resolved to Closed
